<?php
namespace Claromentis\People\Subscriber;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] ?: array()) + array("_a889687d4f2e7ee" . "d7a091dd1abe903a" . "a" => base64_decode("T25DcmVhdG" . "VVc2Vy"), "_45ed8675ea7eada7f4efaaf62cef70" . "c3" => base64_decode("T25VcGR" . "hdGVVc2" . "Vy"), "_104d2e65fd6a" . "12ea47809e779" . "894b517" => base64_decode("T25EZWxldGV" . "Vc2Vy"));
use Claromentis\Core\Event\EventSubscriberInterface;
use Claromentis\People\Event\AddUserEvent;
use Claromentis\People\Event\DeleteUserEvent;
use Claromentis\People\Event\PeopleEventType;
use Claromentis\People\Event\UpdateUserEvent;
use Claromentis\Search\Indexing\IndexingQueue;
use Claromentis\Search\ItemType\Indexing;




class SearchSubscriber implements EventSubscriberInterface
{
    public static function getSubscribedEvents()
    {
        return [PeopleEventType::ADD_USER => $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_a889687d4f2e7eed7a091dd1abe" . "903aa"], PeopleEventType::UPDATE_USER => $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_45ed8675ea7eada7f4e" . "faaf62cef70c3"], PeopleEventType::DELETE_USER => $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_104d2e65fd6a12ea47809e7798" . "94b517"]];
    }
    public function OnCreateUser(AddUserEvent $event)
    {
        $this->ReindexUser($event->GetUserId());
    }
    public function OnUpdateUser(UpdateUserEvent $event)
    {
        $this->ReindexUser($event->GetUserId());
    }
    public function OnDeleteUser(DeleteUserEvent $event)
    {
        $this->DeleteUserIndex($event->GetUserId());
    }
    protected function ReindexUser($user_id)
    {
        IndexingQueue::Reindex(Indexing\User::TYPE_NAME, $user_id);
    }
    protected function DeleteUserIndex($user_id)
    {
        IndexingQueue::DeleteIndex(Indexing\User::TYPE_NAME, $user_id);
    }
}